package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.member.entity.MemberEntity;
import com.ycwl.basic.model.pc.member.req.MemberReqQuery;
import com.ycwl.basic.model.pc.member.resp.MemberRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:57
 * 用户（前台）
 */
@Mapper
public interface MemberMapper {
    List<MemberRespVO> list(MemberReqQuery memberReqQuery);
    MemberRespVO getById(Long id);
    int add(MemberEntity member);
    int deleteById(Long id);
    int update(MemberEntity member);

    /**
     * 修改景区服务通知状态
     * @param scenicId 景区id
     * @param memberId 用户id
     * @return
     */
    int updateScenicServiceNoticeStatus(@Param("scenicId") Long scenicId,@Param("memberId") Long memberId);

    /**
     * 查询用户当前景区服务通知状态
     * @param scenicId 景区id
     * @param memberId 用户id
     * @return 0关闭 1开启
     */
    Integer getScenicServiceNoticeStatus(@Param("scenicId") Long scenicId,@Param("memberId") Long memberId);

    /**
     * 添加景区服务通知状态
     * @param scenicId
     * @param memberId
     * @return
     */
    int addScenicServiceNoticeStatus(@Param("scenicId") Long scenicId,@Param("memberId") Long memberId);

    MemberRespVO getByOpenId(String openId);
}
